]> git.ameliathe1st.gay Git - git-over-gnunet.git/commitdiff
"Fix" fetch issues
authorAmélia Coutard-Sander <git@ameliathe1st.gay>
Mon, 25 Nov 2024 22:29:01 +0000 (23:29 +0100)
committerAmélia Coutard-Sander <git@ameliathe1st.gay>
Mon, 25 Nov 2024 22:29:01 +0000 (23:29 +0100)
daemon.sh

index ac6e7d75e3e6428fda93c6a08d4d06284ee0b444..16eed21531d23c3af97ca8a453b6be8daa626434 100755 (executable)
--- a/daemon.sh
+++ b/daemon.sh
@@ -16,7 +16,7 @@ passphrase="$2"
 echo >&2 "Running $service on port $passphrase-git-$service."
 
 mktempfifo
-while < "$name" gnunet-cadet -o "$passphrase-git-$service" | git "$service" . > "$name"; test 130 != "$?"; do
+while < "$name" gnunet-cadet -o "$passphrase-git-$service" | git "$service" . | (cat; sleep 0.1) | cat > "$name"; test 130 != "$?"; do
        rm "$name"
        mktempfifo
 done